#!/usr/bin/bash
#export pkg=none
for pkg in $(cat skalist) ; do
	echo $pkg
	cd $pkg
	sudo pacman -S $(cat deps) --noconfirm
	/usr/local/bin/mkpkg
	read
	ls -altr /var/cache/jobcore | grep $pkg
	read
	echo compare our version with latest in source
	grep pkgver PKGBUILD
	cat $pkg/packed-refs
	read
	sudo mv *.pkg.tar.xz /var/cache/jobcore/
	ls -altr /var/cache/jobcore | grep $pkg
	read
	sh clean
	sudo pacman -Rnsu $(cat deps) --noconfirm
	/usr/local/bin/ckchroot
	read
	pwd
	ls -altr
	cd ..
	/usr/local/bin/repojobcore
	read
	echo next
done
